#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2018
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Simon Crowle
#//      Created Date :          14/02/2018
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

# Get standard Kapacitor configuration file
wget -O /tmp/kapacitor.conf https://raw.githubusercontent.com/influxdata/kapacitor/master/etc/kapacitor/kapacitor.conf

# Rewrite slack config to point the CLMC channel
sed -i '345s/.*/  enabled = true/' /tmp/kapacitor.conf
sed -i '350s/.*/  url = "https:\/\/hooks.slack.com\/services\/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"/' /tmp/kapacitor.conf
sed -i '352s/.*/  channel = "#clmc"/' /tmp/kapacitor.conf

# Copy Kapacitor config to default location
sudo cp /tmp/kapacitor.conf /etc/kapacitor/
