#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2017
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Michael Boniface
#//      Created Date :          01/02/2018
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

# Install nginx
sudo apt-get update
yes Y | sudo apt-get install nginx 

# Need to set up basic stats as this not configured by default
# http://nginx.org/en/docs/http/ngx_http_stub_status_module.html
echo "Coping new config file into nginx"
cd /vagrant
sudo rm ../etc/nginx/nginx.conf
sudo cp test/services/nginx/nginx.conf ../etc/nginx/nginx.conf
#cat test/services/nginx/nginx.conf > ../etc/nginx/nginx.conf


sudo nginx -s reload

# start NGINX
sudo systemctl start nginx
# --with-http_stub_status_module
#nginx -V 2>&1 | grep -o with-http_stub_status_module
#/vagrant/../etc/nginx/nginx.config

# systemctl status telegraf -l



# dpkg -l | grep -c nginx 